Subject: Re: [PATCH v2] sha1-file: test the error behavior of alt_odb_usable()

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Apr 2019 17:29:23 +0900

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>>>> +test_expect_success 'print "error" on non-existing alternate' '
>>>> +	git init --bare I &&
>>>> +	echo DOES_NOT_EXIST >I/objects/info/alternates &&
>>>> +	git -C I fsck 2>stderr &&
>>>> +	test_i18ngrep "does not exist; check" stderr
>>>> +'
>>>
>>> All that said, I don't really have an objection against this patch,
>>> since it's just testing the current behavior. Anybody who wants to
>>> change it would find it pretty easy to tweak this test, too.
>>
>> Yup. Just wanted to get the patch to test what we do *currently* out,
>> might loop back to finishing up the rest of this.
>
> Junio: *ping* about picking up this trivial test coverage improvement
> (missed in the latest What's Cooking).

I went back to the original thread to see what the patch was about.

I actually am fairly negative on casting the current behaviour in
stone for this one.  Isn't the current status something like: we
notice that we say 'error', we suspect that we would want to demote
it to 'warning' or even silence, but this is not too pressing and it
is OK as long as we do not make things worse by turning it into a
more severe error.

I do not mind if the last "look in stderr" step did not exist,
though.  It is good to make sure that fsck does not die when it
sees a non-existing directory listed in the alternates file.